> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Subir o recuperar un adjunto canónico de Activity vinculada al ticket



## OpenAPI

````yaml /generated/specs/operations.json post /api/v1/tickets/{ticketId}/activities/{activityId}/files/attempts
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/tickets/{ticketId}/activities/{activityId}/files/attempts:
    post:
      tags:
        - Ticket files
      summary: Subir o recuperar un adjunto canónico de Activity vinculada al ticket
      operationId: TicketActivityFileAttemptsController_create
      parameters:
        - name: ticketId
          required: true
          in: path
          schema:
            type: string
        - name: activityId
          required: true
          in: path
          schema:
            type: string
        - name: Idempotency-Key
          in: header
          description: UUID estable del archivo independiente.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              required:
                - file
              properties:
                file:
                  type: string
                  format: binary
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketActivityFileDto'
components:
  schemas:
    TicketActivityFileDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        sourceActivityId:
          type: string
          format: uuid
        fileName:
          type: string
        mimeType:
          type: string
        size:
          type: integer
          minimum: 0
        createdAt:
          type: string
          format: date-time
      required:
        - id
        - sourceActivityId
        - fileName
        - mimeType
        - size
        - createdAt

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.